# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: Application for learning words, forms
Name: pywords
Version: 0.6
Release: alt1_2
License: GPLv3
Group: Education
Url: https://sourceforge.net/p/pywords
Source0: https://sourceforge.net/p/pywords/files/%{name}-%{version}.tar.gz
Requires: python3 python3-tools
BuildArch: noarch
Source44: import.info

%description
pyWords is really simple application for learning words.
You just select file with words and type answers.
If you type wrong - app will show you correct answer and
that word will appear again later.
Word-definition files are really simple .txt files.

%prep
%setup -q

%build
#nothing

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 ./%{name} %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m 644 ./%{name}_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 ./%{name}.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 644 %{name}.glade %{buildroot}%{_datadir}/%{name}/
install -m 755 %{name}.py %{buildroot}%{_datadir}/%{name}/
install -m 644 "to be.txt" %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/locale
cp -af i18n/* %{buildroot}%{_datadir}/locale

%find_lang %{name}

%files -f %{name}.lang
%doc Readme.txt
%{_bindir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/%{name}.py*
%{_datadir}/%{name}/*.txt
#%{_datadir}/%{name}/__pycache__/


%changelog
* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_2
- update by mgaimport

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.6-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_3
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.5-alt1_1
- new version

